=== debian/changelog ===
ros-rolling-moveit-ros-visualization (2.4.0-1focal) focal; urgency=high

  * Move background_processing (#997 <https://github.com/ros-planning/moveit2/issues/997>)
  * Merge https://github.com/ros-planning/moveit/commit/f3ac6070497da90da33551fc1dc3a68938340413
  * Merge https://github.com/ros-planning/moveit/commit/a0ee2020c4a40d03a48044d71753ed23853a665d
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * MPD: do not save/restore warehouse parameters (#2865 <https://github.com/ros-planning/moveit2/issues/2865>)
    If we reload these values from the config, setting the ROS parameters is much less useful.
    At least the *type* of warehouse_ros plugin (mongo or sqlite) cannot be selected
    in the display, so you will probably need to meddle with the parameters anyway if you want
    to connect to a different db.
    search for parameters warehouse_host/port because they are usually set at the top level, but
    you might want to set them differently for different move_groups.
  * PlanningSceneDisplay: always update the main scene node's pose (#2876 <https://github.com/ros-planning/moveit2/issues/2876>)
  * Contributors: Abishalini, Michael Görner, Robert Haschke, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-ros-visualization (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-visualization (2.3.1-1focal) focal; urgency=high

  * Convert to modern include guard #882 <https://github.com/ros-planning/moveit2/issues/882> (#891 <https://github.com/ros-planning/moveit2/issues/891>)
  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Latched Strings for URDF and SRDF (#765 <https://github.com/ros-planning/moveit2/issues/765>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Reduce log verbosity, improved info message (#714 <https://github.com/ros-planning/moveit2/issues/714>)
  * Fix Python2: convert keys() into list (#2862 <https://github.com/ros-planning/moveit/issues/2862>)
  * MP panel: fix order of input widgets for shape size (#2847 <https://github.com/ros-planning/moveit/issues/2847>)
  * Makes rviz trajectory visualization topic relative (#2835 <https://github.com/ros-planning/moveit/issues/2835>)
  * MotionPlanningFrame: Gracefully handle undefined parent widget (#2833 <https://github.com/ros-planning/moveit/issues/2833>)
  * more fixes for the clang-tidy job (#2813 <https://github.com/ros-planning/moveit/issues/2813>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Kaustubh, Michael Görner, Parthasarathy Bana, Rick Staa, Robert Haschke, Sencer Yazıcı, Yuri Rocha, lorepieri8, predystopic-dev, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-visualization (2.3.0-1focal) focal; urgency=high

  * Support passing MoveGroup's namespace to MoveGroupInterface (#533 <https://github.com/ros-planning/moveit2/issues/533>)
  * Add getSharedRobotModelLoader to fix race condition when having multiple displays for the same node (#525 <https://github.com/ros-planning/moveit2/issues/525>)
  * Make TF buffer & listener in PSM private (#654 <https://github.com/ros-planning/moveit2/issues/654>)
    * Add private buffer & tf listener to PSM
    * Remove coupled deleter
    * Decouple PSM from CSM
    * Deprecate old constructors
  * mesh_shape: Fix resource group for meshes (#672 <https://github.com/ros-planning/moveit2/issues/672>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Add option to disable Octomap in Rviz Rendering Tools (#606 <https://github.com/ros-planning/moveit2/issues/606>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Support arbitrary realtime-factors in trajectory visualization (#2745 <https://github.com/ros-planning/moveit2/issues/2745>)
  * Fix joints tab
  * MP frame: Fix handling of mimic + passive joints
  * Switch order of manipulation and joints tab
  * Fix trajectory panel (#2737 <https://github.com/ros-planning/moveit2/issues/2737>)
    * TrajectoryPanel: Only set paused_ via pauseButton() to keep "Pause/Play" button in correct state
    * simplify code on the side
  * moveit_joy: RuntimeError: dictionary changed size during iteration (#2628 <https://github.com/ros-planning/moveit2/issues/2628>)
  * Contributors: AdamPettinger, Akash, Henning Kayser, Jafar Abdi, Michael Görner, Nisala Kalupahana, Jorge Nicho, Henning Kayser, Robert Haschke, Vatan Aksoy Tezer, Tyler Weaver, Lior Lustgarten

 -- Jon Binney <jon.binney@gmail.com>  Fri, 08 Oct 2021 06:00:00 -0000

ros-rolling-moveit-ros-visualization (2.2.1-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Jul 2021 06:00:00 -0000


